Package twisted :: Package internet :: Module interfaces :: Class IReactorUNIX

[frames | no frames]

## Class IReactorUNIX

    Interface --+
                |
               IReactorUNIX

UNIX socket methods.

Method Summary
| ``connectUNIX`(self, address, factory, timeout, checkPID)` Connect a client protocol to a UNIX socket.
| ``listenUNIX`(self, address, factory, backlog, mode, wantPID)` Listen on a UNIX socket.

Method Details

### connectUNIX(self, address, factory, timeout=30, checkPID=0)

Connect a client protocol to a UNIX socket.

  Parameters:
    `address` - a path to a unix socket on the filesystem.
    `factory` - a `twisted.internet.protocol.ClientFactory` instance
    `timeout` - number of seconds to wait before assuming the connection has failed.
    `checkPID` - if True, check for a pid file to verify that a server is listening.
  Returns:
    an `IConnector`.

### listenUNIX(self, address, factory, backlog=5, mode=438, wantPID=0)

Listen on a UNIX socket.

  Parameters:
    `address` - a path to a unix socket on the filesystem.
    `factory` - a `twisted.internet.protocol.Factory` instance.
    `backlog` - number of connections to allow in backlog.
    `mode` - mode to set on the unix socket.
    `wantPID` - if True, create a pidfile for the socket.

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net